Package org.apache.tomcat.util.scan

## Class UrlJar

- java.lang.Object
- - org.apache.tomcat.util.scan.AbstractInputStreamJar
  - - org.apache.tomcat.util.scan.UrlJar

All Implemented Interfaces:
  `java.lang.AutoCloseable`, `Jar`

    public class UrlJar
    extends AbstractInputStreamJar

Implementation of `Jar` that is optimised for non-file based JAR URLs.

### Constructor Summary

Constructors
`UrlJar​(java.net.URL jarFileURL)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` Close any resources associated with this JAR.
`protected NonClosingJarInputStream` `createJarInputStream()`

### Methods inherited from class org.apache.tomcat.util.scan.AbstractInputStreamJar

`closeStream, entryExists, exists, getEntryInputStream, getEntryName, getInputStream, getJarFileURL, getLastModified, getManifest, getURL, nextEntry, reset`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UrlJar

    public UrlJar​(java.net.URL jarFileURL)

### Method Detail

#### close

    public void close()

Description copied from interface: `Jar`
Close any resources associated with this JAR.

#### createJarInputStream

    protected NonClosingJarInputStream createJarInputStream()
                                                     throws java.io.IOException

Specified by:
  `createJarInputStream` in class `AbstractInputStreamJar`
Throws:
  `java.io.IOException`